package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_historico_subs_0 {


public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_historico) ","c_historico",7,__ref.getField(false, "ba"),__ref,51);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_historico","b4xpage_appear", __ref);}
int _i = 0;
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
RemoteObject _label2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
 BA.debugLineNum = 51;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(262144);
 BA.debugLineNum = 52;BA.debugLine="If Not(Starter.gps.GPSEnabled) Then";
Debug.ShouldStop(524288);
if (c_historico.__c.runMethod(true,"Not",(Object)(c_historico._starter._gps /*RemoteObject*/ .runMethod(true,"getGPSEnabled"))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 53;BA.debugLine="ToastMessageShow(\"Es necesario tener el GPS ence";
Debug.ShouldStop(1048576);
c_historico.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Es necesario tener el GPS encendido")),(Object)(c_historico.__c.getField(true,"True")));
 BA.debugLineNum = 54;BA.debugLine="StartActivity(Starter.gps.LocationSettingsIntent";
Debug.ShouldStop(2097152);
c_historico.__c.runVoidMethod ("StartActivity",__ref.getField(false, "ba"),(Object)((c_historico._starter._gps /*RemoteObject*/ .runMethod(false,"getLocationSettingsIntent"))));
 };
 BA.debugLineNum = 56;BA.debugLine="L_CANT.Text =\"\"";
Debug.ShouldStop(8388608);
__ref.getField(false,"_l_cant" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 57;BA.debugLine="L_TOTAL.Text=\"\"";
Debug.ShouldStop(16777216);
__ref.getField(false,"_l_total" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 58;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select count(";
Debug.ShouldStop(33554432);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_historico._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select count(*) as EXISTE from HIST_VENTAS WHERE HVD_CLIENTE IN (Select CUENTA from cuentaa)"))));
 BA.debugLineNum = 59;BA.debugLine="C.Position=0";
Debug.ShouldStop(67108864);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 60;BA.debugLine="Existe = C.GetString(\"EXISTE\")";
Debug.ShouldStop(134217728);
__ref.setField ("_existe" /*RemoteObject*/ ,__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("EXISTE"))));
 BA.debugLineNum = 61;BA.debugLine="C.Close";
Debug.ShouldStop(268435456);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 62;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select HVD_CL";
Debug.ShouldStop(536870912);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_historico._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select HVD_CLIENTE,HVD_PRONOMBRE,HVD_CANT,HVD_COSTO_TOT from HIST_VENTAS WHERE HVD_CLIENTE IN (Select CUENTA from cuentaa) order by HVD_PRONOMBRE asc"))));
 BA.debugLineNum = 63;BA.debugLine="ListView1.Clear";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("Clear");
 BA.debugLineNum = 64;BA.debugLine="If c.RowCount>0 Then";
Debug.ShouldStop(-2147483648);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 65;BA.debugLine="For i=0 To c.RowCount -1";
Debug.ShouldStop(1);
{
final int step14 = 1;
final int limit14 = RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),RemoteObject.createImmutable(1)}, "-",1, 1).<Integer>get().intValue();
_i = 0 ;
for (;(step14 > 0 && _i <= limit14) || (step14 < 0 && _i >= limit14) ;_i = ((int)(0 + _i + step14))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 66;BA.debugLine="c.Position=i";
Debug.ShouldStop(2);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, _i));
 BA.debugLineNum = 67;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(4);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 68;BA.debugLine="label1 = ListView1.TwoLinesLayout.Label";
Debug.ShouldStop(8);
_label1 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 69;BA.debugLine="label1.TextSize = 15";
Debug.ShouldStop(16);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 15));
 BA.debugLineNum = 70;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(32);
_label1.runMethod(true,"setTextColor",c_historico.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 71;BA.debugLine="Dim label2 As Label";
Debug.ShouldStop(64);
_label2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 72;BA.debugLine="label2 = ListView1.TwoLinesLayout.SecondLabel";
Debug.ShouldStop(128);
_label2 = __ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(false,"getTwoLinesLayout").getField(false,"SecondLabel");Debug.locals.put("label2", _label2);
 BA.debugLineNum = 73;BA.debugLine="label2.TextSize = 10";
Debug.ShouldStop(256);
_label2.runMethod(true,"setTextSize",BA.numberCast(float.class, 10));
 BA.debugLineNum = 74;BA.debugLine="label2.TextColor = Colors.Blue";
Debug.ShouldStop(512);
_label2.runMethod(true,"setTextColor",c_historico.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 75;BA.debugLine="ListView1.AddTwoLines(c.GetString(\"HVD_PRONOMBR";
Debug.ShouldStop(1024);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runVoidMethod ("AddTwoLines",(Object)(BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_PRONOMBRE"))))),(Object)(BA.ObjectToCharSequence(RemoteObject.concat(RemoteObject.createImmutable("Cantidad #"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_CANT"))),RemoteObject.createImmutable(" SubTotal $"),__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("HVD_COSTO_TOT")))))));
 }
}Debug.locals.put("i", _i);
;
 };
 BA.debugLineNum = 78;BA.debugLine="If Existe <> 0 Then";
Debug.ShouldStop(8192);
if (RemoteObject.solveBoolean("!",__ref.getField(true,"_existe" /*RemoteObject*/ ),BA.NumberToString(0))) { 
 BA.debugLineNum = 79;BA.debugLine="c=B4XPages.MainPage.skmt.ExecQuery(\"select SUM(H";
Debug.ShouldStop(16384);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_historico._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,__ref.getField(false, "ba")).getField(false,"_skmt" /*RemoteObject*/ ).runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("select SUM(HVD_CANT) AS PC_NOART, SUM(HVD_COSTO_TOT) AS PC_MONTO from HIST_VENTAS where HVD_CLIENTE in (Select CUENTA from cuentaa)"))));
 BA.debugLineNum = 80;BA.debugLine="C.Position=0";
Debug.ShouldStop(32768);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 81;BA.debugLine="L_CANT.Text = c.GetString(\"PC_NOART\")";
Debug.ShouldStop(65536);
__ref.getField(false,"_l_cant" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_NOART")))));
 BA.debugLineNum = 82;BA.debugLine="L_TOTAL.Text = c.GetString(\"PC_MONTO\")";
Debug.ShouldStop(131072);
__ref.getField(false,"_l_total" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PC_MONTO")))));
 };
 BA.debugLineNum = 84;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_closerequest(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_historico) ","c_historico",7,__ref.getField(false, "ba"),__ref,95);
if (RapidSub.canDelegate("b4xpage_closerequest")) { return __ref.runUserSub(false, "c_historico","b4xpage_closerequest", __ref);}
ResumableSub_B4XPage_CloseRequest rsub = new ResumableSub_B4XPage_CloseRequest(null,__ref);
rsub.remoteResumableSub = anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSubForFilter();
rsub.resume(null, null);
return RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.keywords.Common.ResumableSubWrapper"), rsub.remoteResumableSub);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_B4XPage_CloseRequest extends BA.ResumableSub {
public ResumableSub_B4XPage_CloseRequest(SHARK2.keymon.com.mx.c_historico parent,RemoteObject __ref) {
this.parent = parent;
this.__ref = __ref;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
RemoteObject __ref;
SHARK2.keymon.com.mx.c_historico parent;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_CloseRequest (c_historico) ","c_historico",7,__ref.getField(false, "ba"),__ref,95);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
{
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,RemoteObject.createImmutable(null));return;}
case 0:
//C
this.state = -1;
Debug.locals.put("_ref", __ref);
 BA.debugLineNum = 98;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
Debug.ShouldStop(2);
parent._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Principal")));
 BA.debugLineNum = 99;BA.debugLine="Return False";
Debug.ShouldStop(4);
if (true) {
parent.__c.runVoidMethod ("ReturnFromResumableSub",this.remoteResumableSub,(parent.__c.getField(true,"False")));return;};
 BA.debugLineNum = 100;BA.debugLine="End Sub";
Debug.ShouldStop(8);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_historico) ","c_historico",7,__ref.getField(false, "ba"),__ref,35);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_historico","b4xpage_created", __ref, _root1);}
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 35;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(4);
 BA.debugLineNum = 36;BA.debugLine="Root = Root1";
Debug.ShouldStop(8);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 38;BA.debugLine="ruta = File.DirInternal";
Debug.ShouldStop(32);
__ref.setField ("_ruta" /*RemoteObject*/ ,c_historico.__c.getField(false,"File").runMethod(true,"getDirInternal"));
 BA.debugLineNum = 39;BA.debugLine="Root.LoadLayout(\"nota\")";
Debug.ShouldStop(64);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("nota")),__ref.getField(false, "ba"));
 BA.debugLineNum = 40;BA.debugLine="borra.Visible = False";
Debug.ShouldStop(128);
__ref.getField(false,"_borra" /*RemoteObject*/ ).runMethod(true,"setVisible",c_historico.__c.getField(true,"False"));
 BA.debugLineNum = 41;BA.debugLine="Titulo.Text = \"Acumulado\"";
Debug.ShouldStop(256);
__ref.getField(false,"_titulo" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence("Acumulado"));
 BA.debugLineNum = 42;BA.debugLine="b_desc.Visible = False";
Debug.ShouldStop(512);
__ref.getField(false,"_b_desc" /*RemoteObject*/ ).runMethod(true,"setVisible",c_historico.__c.getField(true,"False"));
 BA.debugLineNum = 43;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
Debug.ShouldStop(1024);
if (RemoteObject.solveBoolean("=",c_historico.__c.getField(false,"File").runMethod(true,"Exists",(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db"))),c_historico.__c.getField(true,"False"))) { 
 BA.debugLineNum = 44;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
Debug.ShouldStop(2048);
c_historico.__c.getField(false,"File").runVoidMethod ("Copy",(Object)(c_historico.__c.getField(false,"File").runMethod(true,"getDirAssets")),(Object)(BA.ObjectToString("kmt.db")),(Object)(__ref.getField(true,"_ruta" /*RemoteObject*/ )),(Object)(RemoteObject.createImmutable("kmt.db")));
 };
 BA.debugLineNum = 47;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_historico._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_historico._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_historico._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_historico._xui);
 //BA.debugLineNum = 5;BA.debugLine="Dim g As GPS";
c_historico._g = RemoteObject.createNew ("anywheresoftware.b4a.gps.GPS");__ref.setField("_g",c_historico._g);
 //BA.debugLineNum = 6;BA.debugLine="Dim clie_id As String";
c_historico._clie_id = RemoteObject.createImmutable("");__ref.setField("_clie_id",c_historico._clie_id);
 //BA.debugLineNum = 7;BA.debugLine="Dim sDate,sTime As String";
c_historico._sdate = RemoteObject.createImmutable("");__ref.setField("_sdate",c_historico._sdate);
c_historico._stime = RemoteObject.createImmutable("");__ref.setField("_stime",c_historico._stime);
 //BA.debugLineNum = 8;BA.debugLine="Dim usuario As String";
c_historico._usuario = RemoteObject.createImmutable("");__ref.setField("_usuario",c_historico._usuario);
 //BA.debugLineNum = 10;BA.debugLine="Dim c As Cursor";
c_historico._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_historico._c);
 //BA.debugLineNum = 11;BA.debugLine="Dim ruta As String";
c_historico._ruta = RemoteObject.createImmutable("");__ref.setField("_ruta",c_historico._ruta);
 //BA.debugLineNum = 12;BA.debugLine="Dim Regresar As Button";
c_historico._regresar = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_regresar",c_historico._regresar);
 //BA.debugLineNum = 15;BA.debugLine="Dim ListView1 As ListView";
c_historico._listview1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ListViewWrapper");__ref.setField("_listview1",c_historico._listview1);
 //BA.debugLineNum = 16;BA.debugLine="Dim L_CANT As Label";
c_historico._l_cant = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_cant",c_historico._l_cant);
 //BA.debugLineNum = 17;BA.debugLine="Dim L_TOTAL As Label";
c_historico._l_total = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_total",c_historico._l_total);
 //BA.debugLineNum = 18;BA.debugLine="Dim borra As Button";
c_historico._borra = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_borra",c_historico._borra);
 //BA.debugLineNum = 19;BA.debugLine="Dim Existe As String";
c_historico._existe = RemoteObject.createImmutable("");__ref.setField("_existe",c_historico._existe);
 //BA.debugLineNum = 20;BA.debugLine="Dim result As String";
c_historico._result = RemoteObject.createImmutable("");__ref.setField("_result",c_historico._result);
 //BA.debugLineNum = 23;BA.debugLine="Private Titulo As Label";
c_historico._titulo = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_titulo",c_historico._titulo);
 //BA.debugLineNum = 24;BA.debugLine="Private b_desc As Button";
c_historico._b_desc = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_b_desc",c_historico._b_desc);
 //BA.debugLineNum = 25;BA.debugLine="Private ListView2 As ListView";
c_historico._listview2 = RemoteObject.createNew ("anywheresoftware.b4a.objects.ListViewWrapper");__ref.setField("_listview2",c_historico._listview2);
 //BA.debugLineNum = 26;BA.debugLine="Dim tgl As Toggle";
c_historico._tgl = RemoteObject.createNew ("com.rootsoft.togglelibrary.ToggleLibrary");__ref.setField("_tgl",c_historico._tgl);
 //BA.debugLineNum = 27;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _gps_locationchanged(RemoteObject __ref,RemoteObject _location1) throws Exception{
try {
		Debug.PushSubsStack("GPS_LocationChanged (c_historico) ","c_historico",7,__ref.getField(false, "ba"),__ref,86);
if (RapidSub.canDelegate("gps_locationchanged")) { return __ref.runUserSub(false, "c_historico","gps_locationchanged", __ref, _location1);}
Debug.locals.put("Location1", _location1);
 BA.debugLineNum = 86;BA.debugLine="Sub GPS_LocationChanged (Location1 As Location)";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 89;BA.debugLine="End Sub";
Debug.ShouldStop(16777216);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_historico) ","c_historico",7,__ref.getField(false, "ba"),__ref,30);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_historico","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 30;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 31;BA.debugLine="Return Me";
Debug.ShouldStop(1073741824);
if (true) return __ref;
 BA.debugLineNum = 32;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _listview1_itemclick(RemoteObject __ref,RemoteObject _position,RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("ListView1_ItemClick (c_historico) ","c_historico",7,__ref.getField(false, "ba"),__ref,107);
if (RapidSub.canDelegate("listview1_itemclick")) { return __ref.runUserSub(false, "c_historico","listview1_itemclick", __ref, _position, _value);}
RemoteObject _label1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
int _i = 0;
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 107;BA.debugLine="Sub ListView1_ItemClick (Position As Int, Value As";
Debug.ShouldStop(1024);
 BA.debugLineNum = 108;BA.debugLine="ListView2.Visible = True";
Debug.ShouldStop(2048);
__ref.getField(false,"_listview2" /*RemoteObject*/ ).runMethod(true,"setVisible",c_historico.__c.getField(true,"True"));
 BA.debugLineNum = 109;BA.debugLine="ListView1.Visible = False";
Debug.ShouldStop(4096);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(true,"setVisible",c_historico.__c.getField(true,"False"));
 BA.debugLineNum = 110;BA.debugLine="Dim label1 As Label";
Debug.ShouldStop(8192);
_label1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 111;BA.debugLine="For i=0 To 20";
Debug.ShouldStop(16384);
{
final int step4 = 1;
final int limit4 = 20;
_i = 0 ;
for (;(step4 > 0 && _i <= limit4) || (step4 < 0 && _i >= limit4) ;_i = ((int)(0 + _i + step4))  ) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 112;BA.debugLine="label1 = ListView2.SingleLineLayout.Label";
Debug.ShouldStop(32768);
_label1 = __ref.getField(false,"_listview2" /*RemoteObject*/ ).runMethod(false,"getSingleLineLayout").getField(false,"Label");Debug.locals.put("label1", _label1);
 BA.debugLineNum = 113;BA.debugLine="label1.TextSize = 15";
Debug.ShouldStop(65536);
_label1.runMethod(true,"setTextSize",BA.numberCast(float.class, 15));
 BA.debugLineNum = 114;BA.debugLine="label1.TextColor = Colors.Black";
Debug.ShouldStop(131072);
_label1.runMethod(true,"setTextColor",c_historico.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 115;BA.debugLine="ListView2.AddSingleLine(i)";
Debug.ShouldStop(262144);
__ref.getField(false,"_listview2" /*RemoteObject*/ ).runVoidMethod ("AddSingleLine",(Object)(BA.ObjectToCharSequence(_i)));
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 117;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _listview2_itemclick(RemoteObject __ref,RemoteObject _position,RemoteObject _value) throws Exception{
try {
		Debug.PushSubsStack("ListView2_ItemClick (c_historico) ","c_historico",7,__ref.getField(false, "ba"),__ref,102);
if (RapidSub.canDelegate("listview2_itemclick")) { return __ref.runUserSub(false, "c_historico","listview2_itemclick", __ref, _position, _value);}
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 102;BA.debugLine="Sub ListView2_ItemClick (Position As Int, Value As";
Debug.ShouldStop(32);
 BA.debugLineNum = 103;BA.debugLine="ListView2.Visible = False";
Debug.ShouldStop(64);
__ref.getField(false,"_listview2" /*RemoteObject*/ ).runMethod(true,"setVisible",c_historico.__c.getField(true,"False"));
 BA.debugLineNum = 104;BA.debugLine="ListView1.Visible = True";
Debug.ShouldStop(128);
__ref.getField(false,"_listview1" /*RemoteObject*/ ).runMethod(true,"setVisible",c_historico.__c.getField(true,"True"));
 BA.debugLineNum = 105;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _regresar_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("Regresar_Click (c_historico) ","c_historico",7,__ref.getField(false, "ba"),__ref,91);
if (RapidSub.canDelegate("regresar_click")) { return __ref.runUserSub(false, "c_historico","regresar_click", __ref);}
 BA.debugLineNum = 91;BA.debugLine="Sub Regresar_Click";
Debug.ShouldStop(67108864);
 BA.debugLineNum = 92;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
Debug.ShouldStop(134217728);
c_historico._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Cliente")));
 BA.debugLineNum = 93;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}